const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({onchainDailyLimit: 2500, signature: '0x1234567890abcdef...'})
};
fetch('https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"onchainDailyLimit": 2500,
"signature": "0x1234567890abcdef..."
}
'import requests
url = "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit"
payload = {
"onchainDailyLimit": 2500,
"signature": "0x1234567890abcdef..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit"
payload := strings.NewReader("{\n \"onchainDailyLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"onchainDailyLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"onchainDailyLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"requestedOnchainDailyLimit": 2500
}
}{
"error": "Invalid signature provided"
}{
"error": "Unauthorized"
}{
"error": "Couldn't find associated Safe for the user"
}{
"error": "signature is required"
}{
"message": "An unexpected error occurred."
}Change Onchain Daily Limit with Signature
This endpoint is deprecated and will be removed in a future version.
Please use PUT /api/v1/accounts/daily-limit instead.
Sets a new onchain daily spending limit for the authenticated user’s Safe account. This endpoint requires a valid signature from the user’s wallet to authorize the change.
The signature should be generated by signing the transaction data obtained from
the /api/v1/accounts/onchain-daily-limit/transaction-data endpoint.
The limit update is processed through a delay relay mechanism that executes after 3 minutes.
Note: The onchainDailyLimit must be an integer value between 1 and 8000.
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({onchainDailyLimit: 2500, signature: '0x1234567890abcdef...'})
};
fetch('https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"onchainDailyLimit": 2500,
"signature": "0x1234567890abcdef..."
}
'import requests
url = "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit"
payload = {
"onchainDailyLimit": 2500,
"signature": "0x1234567890abcdef..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit"
payload := strings.NewReader("{\n \"onchainDailyLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"onchainDailyLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"onchainDailyLimit\": 2500,\n \"signature\": \"0x1234567890abcdef...\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"requestedOnchainDailyLimit": 2500
}
}{
"error": "Invalid signature provided"
}{
"error": "Unauthorized"
}{
"error": "Couldn't find associated Safe for the user"
}{
"error": "signature is required"
}{
"message": "An unexpected error occurred."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
Successfully submitted the daily limit update request.
Show child attributes
Show child attributes